Last Comment Bug 638067 - IndexedDB: Inserting data with multiple indexes on an autoIncrement object store throws an error
: IndexedDB: Inserting data with multiple indexes on an autoIncrement object st...
Status: RESOLVED FIXED
[fx4-unco-bugday] fixed-on-aurora
:
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: All All
: -- major with 1 vote (vote)
: ---
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-02 03:52 PST by Dominique Bosselmann
Modified: 2012-03-22 11:50 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.1-fixed


Attachments
testcase to reproduce the bug (1.10 KB, text/html)
2011-03-02 03:53 PST, Dominique Bosselmann
no flags Details
Patch, v1 (6.77 KB, patch)
2011-03-11 12:53 PST, Ben Turner (not reading bugmail, use the needinfo flag!)
sdwilsh: review+
christian: approval2.0+
Details | Diff | Splinter Review

Description Dominique Bosselmann 2011-03-02 03:52:19 PST
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_6_6; de-de) AppleWebKit/533.19.4 (KHTML, like Gecko) Version/5.0.3 Safari/533.19.4
Build Identifier: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b12) Gecko/20100101 Firefox/4.0b12

When you create an objectStore with multiple indexes and you try to add data, which has more than one property fitting to indexes, it fails. For better explanation have a look at the testcase.

Reproducible: Always

Steps to Reproduce:
1. Create objectStore with multiple indexes
2. Try to add data, like you can see in the testcase
Actual Results:  
Got an error-event with errorCode = 4

Expected Results:  
Should get a success-event
Comment 1 Dominique Bosselmann 2011-03-02 03:53:52 PST
Created attachment 516228 [details]
testcase to reproduce the bug
Comment 2 Steve Scott (pxbugz) 2011-03-11 06:29:27 PST
The testcase produces the reported error using Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0) Gecko/20100101 Firefox/4.0
Comment 3 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-03-11 12:53:24 PST
Created attachment 518794 [details] [diff] [review]
Patch, v1

Sigh, this edge case was magically untouched by our tests.
Comment 4 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-03-11 13:11:48 PST
A inconvenient workaround is to not use autoIncrement object stores for the time being.
Comment 5 Shawn Wilsher :sdwilsh 2011-03-14 10:36:22 PDT
Comment on attachment 518794 [details] [diff] [review]
Patch, v1

r=sdwilsh
Comment 6 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-03-15 11:54:32 PDT
Requesting blocking2.0, but I only want this for 2.0.1, not 2.0.
Comment 7 christian 2011-04-12 23:36:10 PDT
Please land on mozilla-central and releases/mozilla-2.0
Comment 8 christian 2011-04-12 23:37:42 PDT
Also, I want this on mozilla-aurora so that we don't regress from Macaw -> FF 5. This is verbal approval because we don't have the flags set up.

Note You need to log in before you can comment on or make changes to this bug.